Update datastore
PUT /api/v1/datastores/id/. Storage API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System defined universally unique Id of the datastore.
Body
Datastore idetail
User defined name of the datastore, unique across the enterprise. Once datastore is created, name can’t be changed.
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the datastore. Title can be changed at any time.
3 - 256[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+Datastore type
DATASTORE_TYPE_UNSPECIFIED, DATASTORE_TYPE_HTTP, DATASTORE_TYPE_HTTPS, DATASTORE_TYPE_AWSS3, DATASTORE_TYPE_SFTP, DATASTORE_TYPE_CONTAINERREGISTRY, DATASTORE_TYPE_AZUREBLOB, DATASTORE_TYPE_ZEDEDAS3, DATASTORE_TYPE_ZEDEDABLOB, DATASTORE_TYPE_FILE_STORAGE Datastore Fully Qualified Domain Name
Datastore relative path w.r.t. Datastore root
Detailed description of the datastore.
256Datastore region - valid for AWS S3 and Azure BlobStorage
Datastore status
DATASTORE_STATUS_UNSPECIFIED, DATASTORE_STATUS_CREATED, DATASTORE_STATUS_VERIFYING, DATASTORE_STATUS_ACTIVE, DATASTORE_STATUS_INACTIVE, DATASTORE_STATUS_FAILED Plain-text sensitive data
Certificate chain of the certificate
knob for sending creds in clear text
project access list of the datastore
Managed datastore or not. Managed datastores are created and managed by ZEDEDA.
Response
A successful response.
OPS_TYPE_UNSPECIFIED, OPS_TYPE_READ, OPS_TYPE_DELETE, OPS_TYPE_CREATE, OPS_TYPE_UPDATE, OPS_TYPE_LIST - OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
- OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
- OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
OPS_STATUS_UNSPECIFIED, OPS_STATUS_PENDING, OPS_STATUS_ONGOING, OPS_STATUS_COMPLETE OBJECT_TYPE_UNSPECIFIED, OBJECT_TYPE_USER, OBJECT_TYPE_EDGE_NODE, OBJECT_TYPE_EDGE_APP, OBJECT_TYPE_IMAGE, OBJECT_TYPE_EDGE_APP_INSTANCE, OBJECT_TYPE_PROJECT, OBJECT_TYPE_NETWORK, OBJECT_TYPE_DATASTORE, OBJECT_TYPE_SERVICE, OBJECT_TYPE_SERVICE_INSTANCE, OBJECT_TYPE_ENTERPRISE, OBJECT_TYPE_ROLE, OBJECT_TYPE_CREDENTIAL, OBJECT_TYPE_NETWORK_INSTANCE, OBJECT_TYPE_VOLUME_INSTANCE, OBJECT_TYPE_REALM, OBJECT_TYPE_AUTHPROFILE, OBJECT_TYPE_POLICY, OBJECT_TYPE_APP_POLICY, OBJECT_TYPE_CLUSTER_INSTANCE, OBJECT_TYPE_PLUGIN, OBJECT_TYPE_DOC_POLICY, OBJECT_TYPE_ORCHESTRATOR_CLUSTER, OBJECT_TYPE_TAGS, OBJECT_TYPE_EDGE_NODE_INTERFACE, OBJECT_TYPE_DEPLOYMENT, OBJECT_TYPE_ENTITLEMENTS, OBJECT_TYPE_DATA_STREAM, OBJECT_TYPE_API_USAGE, OBJECT_TYPE_APP_INSTANCE_SNAPSHOT, OBJECT_TYPE_PATCH_ENVELOPE, OBJECT_TYPE_RESOURCE_USAGE_TRACK, OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE, OBJECT_TYPE_DEV_PASSTHROUGH, OBJECT_TYPE_EDGE_NODE_CLUSTER, OBJECT_TYPE_ASSET_GROUP, OBJECT_TYPE_APP_PROFILE, OBJECT_TYPE_PROFILE_DEPLOYMENT, OBJECT_TYPE_ZKS_INSTANCE, OBJECT_TYPE_CLUSTER_GROUP